Edit Attributes dialog box, how to change system variable?

When edditing attributes in a block (using the attedit command) the first eight
attribute
values contained in that block are displayed. With the "next" button you will
then move
to the next set. The only thing is that my copy of 2002LT always places the last
eddible
attribute at position 8 of the dialog box. That is no problem when you have
multiples of
eight in your block. However when you have say, ten attributes, this is not
handy.
At the first dialog box you will edit attributes 1 - 8, then press "next" and
attributes 3 -
10 are displayed.
There must be a system variable to reset this to the next eddible atribute. so
pressing the "next" button will bring you to attribute "9".
This was the standard setting in the old days (LT-97) I haven't got a clue how
to set
TL2002 to this command.
Any idees???
Thanks in advance.
Gertjan Romijn
Reply to
Gertjan
Loading thread data ...
This changes the order
;; Routine provied by Martin Nigg ;; Attribute Order in Blocks ;;------------------------------------------------------------------ ;; Ing. Martin NIGG ;; From the planer for the planer ... ;;----------------------------------------------------------------- ;; Koeg 42 6600 Reutte/Tirol Austria ;; Tel.: +43-(0)5672-65913 Mobile phone: +43-(0)664-1356898 ;; eMail: mailto: snipped-for-privacy@eunet.at URL:
formatting link
eMail to Voice-Butler: mailto:+ snipped-for-privacy@A1plus.at ;; eMail to SMS: mailto:+ snipped-for-privacy@text.mobilkom.at ;;------------------------------------------------------------------- ;; cadLIBdu v14.5.2 - Blockmanager for AutoCAD ;; cadMANdu v15.0.1 - German 2D-Architecture Plugin for AutoCAD ;; Member at ADGE - AutoCAD Developers Group Europe ;;------------------------------------------------------------------- ;; ATTSORT is a LISP routine that sorts the attibute data within a block. Load ;; the routine using the command "(load"attsort") and then open the block file ;; which includes your attribs (e.g. a plot stamp or room tag). Run attsort and ;; pick the attribs the way you want to come out.
(defun C:ATTSORT (/ OBJ1 OBJ2) (princ "\nSelect first Attribute ... ") (while (setq OBJ1 (car (entsel))) (setq OBJ2 (entget OBJ1)) (entmake OBJ2) (entdel OBJ1) (redraw (entlast)) (princ "\nSelect next attribute ... ") ) (princ) )
Reply to
Huw

PolyTech Forum website is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.